Package com.scriptel.proscript

## Class ErrorCorrectionSample

- java.lang.Object
- - com.scriptel.proscript.ErrorCorrectionSample

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ErrorCorrectionSample
      extends java.lang.Object
      implements java.io.Serializable

  This class represents a sample in an error correction table.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ErrorCorrectionSample​(int x, int y)` | Constructor, creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` | Checks to see if two samples are identical to each other.
    `int` | `getX()` | Gets the horizontal sample value.
    `int` | `getY()` | Gets the vertical sample value.
    `int` | `hashCode()` | Calculates a hash value for this instance.
    `java.lang.String` | `toString()` | This method converts this object into a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorCorrectionSample

          public ErrorCorrectionSample​(int x,
                                       int y)

      Constructor, creates a new instance of this class.
      Parameters:
        `x` - Horizontal sample.
        `y` - Vertical sample.

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Checks to see if two samples are identical to each other.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - Error correction object to test against.
      Returns:
        True if they're equal, false otherwise.

    - #### hashCode

          public int hashCode()

      Calculates a hash value for this instance.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        Hash value.

    - #### toString

          public java.lang.String toString()

      This method converts this object into a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getX

          public int getX()

      Gets the horizontal sample value.
      Returns:
        Horizontal sample value.

    - #### getY

          public int getY()

      Gets the vertical sample value.
      Returns:
        Vertical sample value.